# $Revision: 1.11.2.1 $, $Date: 2005/10/17 09:20:56 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Mail
%define		pnam	SPF-Query
Summary:	Mail::SPF::Query - Perl implementation of SPF
Summary(pl):	Mail::SPF::Query - perlowa implementacja SPF
Name:		perl-Mail-SPF-Query
Version:	1.997
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://spf.pobox.com/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	9e110d00520e0fe174c25c0734a8baf6
Source1:	spfd.init
Patch0:		Mail-SPF-Query-spfd-host.patch
Patch1:		Mail-SPF-Query-spfd-detach.patch
URL:		http://spf.pobox.com/
%if %{with tests}
BuildRequires:	perl-Net-CIDR-Lite >= 0.15
BuildRequires:	perl-Net-DNS >= 0.33
BuildRequires:	perl-Net-Netmask
BuildRequires:	perl-Test-Simple
BuildRequires:	perl-URI
%endif
BuildRequires:	perl-devel >= 1:5.6.1
BuildRequires:	rpm-perlprov >= 4.0.2-112.1
Requires:	perl-Sys-Hostname-Long
Requires:	perl-Net-CIDR-Lite >= 0.15
Requires:	perl-Net-DNS >= 0.33
Requires:	perl(URI::Escape) >= 3.20
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements a daemon to query SPF records for email forgery
detection.

%description -l pl
Ten modu jest implementacj demona sprawdzajcego rekordy SPF w celu
wykrywania sfaszowanej poczty.

%package -n spfd
Summary:	SPF record checking daemon
Summary(pl):	Demon sprawdzajcy rekordy SPF
Group:		Networking/Daemons
PreReq:		rc-scripts
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name} = %{version}-%{release}

%description -n spfd
SPF record checking daemon, operating as a local resolver on
UNIX-domain sockets.

%description -n spfd -l pl
Demon sprawdzajcy rekordy SPF, dziaajcy jako lokalny resolver na
gniazdach uniksowych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=site
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/rc.d/init.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/spfd

%clean
rm -rf $RPM_BUILD_ROOT

%post -n spfd
/sbin/chkconfig --add spfd
umask 137
if [ -f /var/lock/subsys/spfd ]; then
	/etc/rc.d/init.d/spfd restart 1>&2
else
	echo "Run \"/etc/rc.d/init.d/spfd start\" to start SPF daemon."
fi
 
%preun -n spfd
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/spfd ]; then
		/etc/rc.d/init.d/spfd stop 1>&2
	fi
	/sbin/chkconfig --del spfd
fi

%files
%defattr(644,root,root,755)
%doc Changes
%attr(755,root,root) %{_bindir}/spfquery
%dir %{perl_sitelib}/Mail/SPF
%{perl_sitelib}/Mail/SPF/*.pm
%{_mandir}/man3/*

%files -n spfd
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/spfd
%attr(754,root,root) /etc/rc.d/init.d/spfd

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Mail-SPF-Query.spec,v $
Revision 1.11.2.1  2005/10/17 09:20:56  hawk
- adjusted for Ra
- release 3

Revision 1.11  2005/09/29 23:29:33  aredridel
- added dep

Revision 1.10  2005/06/10 15:32:15  romke
- added patches for spfd:
  - new -host option for specifying ip to listen on,
  - detach from console,
- release 2, STBR

Revision 1.9  2004/11/30 22:00:05  zbyniu
- added PreReq: rc-scripts and Requires(): /sbin/chkconfig for daemon

Revision 1.8  2004/11/03 22:30:32  paladine
- formatting

Revision 1.7  2004/11/03 13:05:26  paladine
- spaces->tabs

Revision 1.6  2004/06/23 11:34:16  jajcus
- Version: 1.997

Revision 1.5  2004/05/28 20:22:12  ankry
- spfd.init fix, rel. 3

Revision 1.4  2004/04/23 06:22:06  ankry
- license fixes/unification

Revision 1.3  2004/01/15 14:27:28  qboosh
- pl, cleanups, missing dir and deps

Revision 1.2  2004/01/14 05:12:54  aredridel
- separated spfd
- added init script

Revision 1.1  2004/01/12 20:23:54  aredridel
- added
